summaryrefslogtreecommitdiffstats
path: root/system/usbredir
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2012-09-04 19:42:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-05 20:12:12 -0500
commit76660459f35f86054e1573bde61b7cc9fe94d8f3 (patch)
treea61c860069d6cd4c4f4eb033b1e22000b36833b7 /system/usbredir
parent179d249e17403b72f5e3ca645ad6705d6c59825c (diff)
downloadslackbuilds-76660459f35f86054e1573bde61b7cc9fe94d8f3.tar.gz
slackbuilds-76660459f35f86054e1573bde61b7cc9fe94d8f3.tar.xz
system/usbredir: Added (usb redirection protocol).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/usbredir')
-rw-r--r--system/usbredir/README6
-rw-r--r--system/usbredir/slack-desc19
-rw-r--r--system/usbredir/usbredir.SlackBuild81
-rw-r--r--system/usbredir/usbredir.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/system/usbredir/README b/system/usbredir/README
new file mode 100644
index 0000000000..a8a9923eba
--- /dev/null
+++ b/system/usbredir/README
@@ -0,0 +1,6 @@
+usbredir (usb redirection protocol)
+
+usbredir is a protocol for redirection USB traffic from a single USB
+device, to a different (virtual) machine then the one to which the
+USB device is attached.
+This package contains usbredirparser, usbredirhost and usbredirserver.
diff --git a/system/usbredir/slack-desc b/system/usbredir/slack-desc
new file mode 100644
index 0000000000..9db5777cbf
--- /dev/null
+++ b/system/usbredir/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+usbredir: usbredir (usb redirection protocol)
+usbredir:
+usbredir: usbredir is a protocol for redirection USB traffic from a single USB
+usbredir: device, to a different (virtual) machine then the one to which the
+usbredir: USB device is attached.
+usbredir: This package contains usbredirparser, usbredirhost and usbredirserver.
+usbredir:
+usbredir: homepage: http://spice-space.org
+usbredir:
+usbredir:
+usbredir:
diff --git a/system/usbredir/usbredir.SlackBuild b/system/usbredir/usbredir.SlackBuild
new file mode 100644
index 0000000000..83ed67ae3b
--- /dev/null
+++ b/system/usbredir/usbredir.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for usbredir
+# Written by Matteo Bernardini <ponce@slackbuilds.org>
+
+PRGNAM=usbredir
+VERSION=${VERSION:-0.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="ChangeLog COPYING* README* TODO"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-silent-rules \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/usbredir/usbredir.info b/system/usbredir/usbredir.info
new file mode 100644
index 0000000000..56ca1ddf30
--- /dev/null
+++ b/system/usbredir/usbredir.info
@@ -0,0 +1,10 @@
+PRGNAM="usbredir"
+VERSION="0.4.3"
+HOMEPAGE="http://spice-space.org"
+DOWNLOAD="http://spice-space.org/download/usbredir/usbredir-0.4.3.tar.bz2"
+MD5SUM="98464d74f867ded3bcab0078666d621f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"